Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Bulk remove products from channel

Removes many products from a channel. IDs that were not members go in successful (post-condition idempotent). Unknown product IDs go in failed.

DELETE/api/v1/{team_slug}/{app_slug}/channels/{channel_id}/products
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
app_slugstringrequired

App slug

team_slugstringrequired

Team slug

channel_idstringrequired

Channel ID

Request body
requiredapplication/json

Product IDs to remove

product_idsstring[]required
min items 1
Responses
200

Bulk remove result

datainternal_pkg_webserver_v1.BulkChannelMembershipResponserequired
Show properties
failedinternal_pkg_webserver_v1.BulkChannelMembershipFailed[] | null
Show properties
Array of internal_pkg_webserver_v1.BulkChannelMembershipFailed
idstring
reasonstring
successfulgithub_com_enadhq_nabbit_internal_pkg_webserver_models.ChannelProductMembership[] | null
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.ChannelProductMembership
channel_idstring
created_atstring
product_idstring
statusstring
status_updated_atstring
detailsstring[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes

successbooleanrequired
400

Invalid request

detailsstring[]
messagestring
successbooleanrequired
404

Channel not found

detailsstring[]
messagestring
successbooleanrequired
500

Internal server error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X DELETE 'https://api.enad.io/api/v1/string/string/channels/string/products' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "product_ids": [
    "string"
  ]
}'
Response
{
  "data": {
    "failed": [
      {
        "id": "string",
        "reason": "string"
      }
    ],
    "successful": [
      {
        "channel_id": "string",
        "created_at": "string",
        "product_id": "string",
        "status": "string",
        "status_updated_at": "string"
      }
    ]
  },
  "details": [
    "string"
  ],
  "success": true
}